TwoByteString subclass:#GBEncodedString
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text'
!

!GBEncodedString class methodsFor:'documentation'!

documentation
"
    GBEncodedString represents 16bit strings encoded in GB (GuoBiao),
    (with high bit set). This encoding is Mainland China's national standard.
    Most of you are probably not interrested in those ...
"



! !

!GBEncodedString class methodsFor:'initialization'!

initialize
    "initialize the class - private"

    self flags:(Behavior flagWords)

    "
     GBEncodedString initialize
    "

    "Created: 27.4.1996 / 13:12:17 / cg"
! !

!GBEncodedString methodsFor:'queries'!

encoding
    "return the strings encoding; Here, we return a gb encoding"

    ^ #gb

    "Created: 17.4.1996 / 15:44:26 / cg"
    "Modified: 20.4.1996 / 23:15:03 / cg"
! !

!GBEncodedString class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/Attic/GBString.st,v 1.3 1996-04-27 11:13:05 cg Exp $'
! !
GBEncodedString initialize!
